classification
Title: --random does not work for regrtest
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: --fromfile, --match, and --randomize don't work in regrtest
View: 15324
Assigned To: Nosy List: chris.jerdonek, ezio.melotti
Priority: normal Keywords: easy

Created on 2012-07-11 10:15 by chris.jerdonek, last changed 2012-12-27 21:49 by chris.jerdonek. This issue is now closed.

Messages (1)
msg165246 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-07-11 10:15
The long form of the -r/--random option does not work:

$ ./python.exe -m test --random
No handler for option --random.  Please report this as a bug at http://bugs.python.org.

Note that issue 15302 will fix this.
History
Date User Action Args
2012-12-27 21:49:19chris.jerdoneksetstatus: open -> closed
superseder: Use argparse instead of getopt in test.regrtest -> --fromfile, --match, and --randomize don't work in regrtest
stage: patch review -> resolved
resolution: duplicate
versions: + Python 2.7, Python 3.2, Python 3.3
2012-07-13 19:29:21ezio.melottisetversions: + Python 3.4, - Python 3.3
nosy: + ezio.melotti

superseder: Use argparse instead of getopt in test.regrtest
type: enhancement
stage: patch review
2012-07-11 10:15:10chris.jerdonekcreate